%define fw_version 5.24

Summary:	KDE Frameworks 5 bookmarks and the XBEL format support module
Name:		kbookmarks
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 bookmarks and the XBEL format support module.

KBookmarks lets you access and manipulate bookmarks stored using the
XBEL format.

#----------------------------------------------------------------------------

%package i18n
Summary:	KBookmarks translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KBookmarks translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5bookmarks_major 5
%define libkf5bookmarks %mklibname kf5bookmarks %{kf5bookmarks_major}

%package -n %{libkf5bookmarks}
Summary:	KDE Frameworks 5 bookmarks and the XBEL format support shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5bookmarks}
KDE Frameworks 5 bookmarks and the XBEL format support shared library.

%files -n %{libkf5bookmarks}
%{_kde5_libdir}/libKF5Bookmarks.so.%{kf5bookmarks_major}*

#----------------------------------------------------------------------------

%define devkf5bookmarks %mklibname kf5bookmarks -d

%package -n %{devkf5bookmarks}
Summary:	Development files for KDE Frameworks 5 bookmarks support module
Group:		Development/KDE and Qt
Requires:	%{libkf5bookmarks} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5bookmarks-devel = %{version}

%description -n %{devkf5bookmarks}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5bookmarks}
%{_kde5_includedir}/KF5/KBookmarks
%{_kde5_includedir}/KF5/kbookmarks_version.h
%{_kde5_libdir}/cmake/KF5Bookmarks
%{_kde5_libdir}/libKF5Bookmarks.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (898d13d) New version 5.24.0


